Extending Qt Creator Manual | IAssistProvider

Extending Qt Creator Manual 4.5.2

# IAssistProvider Class

(TextEditor::IAssistProvider)

The IAssistProvider class acts as an interface for providing code assist. More...

Header: | #include <IAssistProvider>

- List of all members, including inherited members

## Public Types

enum | RunType { Synchronous, Asynchronous, AsynchronousWithThread }

## Public Functions

| IAssistProvider(QObject *parent = 0)
virtual IAssistProcessor * | createProcessor() const = 0
virtual RunType | runType() const = 0

## Detailed Description

The IAssistProvider class acts as an interface for providing code assist.

There might be different kinds of assist such as completions or refactoring actions (quickfixes).

Within this API the term completion denotes any kind of information prompted to the user in order to auxiliate her to "complete" a particular code construction. Examples of completions currently supported are snippets, function hints, and contextual contents.

This is class is part of the CodeAssist API.

See also IAssistProposal and IAssistProcessor.

## Member Type Documentation

### enum IAssistProvider::RunType

## Member Function Documentation

### IAssistProvider::IAssistProvider(QObject *parent = 0)

Default constructs an instance of IAssistProvider.

### `[pure virtual]` IAssistProcessor *IAssistProvider::createProcessor() const

Creates and returns the IAssistProcessor responsible for computing an IAssistProposal.

### `[pure virtual]` RunType IAssistProvider::runType() const